Connections
Create connection
Creates a new connection for the specified database.
POST
/v1/connectionsCreates a new connection for the specified database.
AuthorizationBearer <token>
OAuth2 authentication
In: header
Scope: workspace:admin, offline_access
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/connections" \ -H "Content-Type: application/json" \ -d '{ "databaseId": "string", "name": "string" }'{ "data": { "id": "string", "type": "connection", "url": "http://example.com", "name": "string", "createdAt": "2019-08-24T14:15:22Z", "kind": "postgres", "endpoints": { "direct": { "host": "string", "port": 0, "connectionString": "string" }, "pooled": { "host": "string", "port": 0, "connectionString": "string" }, "accelerate": { "host": "string", "port": 0, "connectionString": "string" } }, "connectionString": "string", "directConnection": { "host": "string", "pass": "string", "user": "string" }, "database": { "id": "string", "url": "http://example.com", "name": "string" }, "host": "string", "pass": "string", "user": "string" }}